Zuma now compatible with latest iPods? Yes.

Discussion in 'iPod' started by ltldrummerboy, Apr 6, 2008.

  1. macrumors 68000

    ltldrummerboy

    Joined:
    Oct 15, 2007
    #1
    I just bought Zuma for my recently purchased 5.5g refurb iPod. I bought Zuma and Scrabble but Zuma says it's compatible with all iPods from 5g to the present. A friend is coming over with their 3g nano so I'll try it out and report back here. Here's a pic.

    edit: My Zuma version says 1.1, but a friend's copy purchased about a year ago says 1.0. On the store it still lists Zuma as 5g only.
     

    Attached Files:

  2. thread starter macrumors 68000

    ltldrummerboy

    Joined:
    Oct 15, 2007
    #2
    Another pic, with both versions of Zuma in my library.
     

    Attached Files:

  3. thread starter macrumors 68000

    ltldrummerboy

    Joined:
    Oct 15, 2007
    #3
    Sure enough did! Now all you Zuma lovers can play on your 3g nanos and iPod Classics!

    edit: Well, nanos for sure. Haven't tested a Classic.
     

    Attached Files:

  4. macrumors 65816

    Joined:
    Mar 3, 2007
    #4
    Its too bad that Apple is still charging people for upgrades.

    If you bought the game before the release of the 3G nano and iPod classic, you have to BUY it AGAIN to be able to play it on the new iPods.

    Ridiculous
     
  5. thread starter macrumors 68000

    ltldrummerboy

    Joined:
    Oct 15, 2007
    #5
    Yeah, it's too bad that you have to pay twice, but it's still cool that it works at all. It's weird that it says it's only compatible with the 5G.
     

Share This Page